<?php
namespace WpBookingHotelAdmin\app\models;
defined('_WPBOOKINGHOTEL_EXEC') or die;

use WpBookingHotel\Factory;
use WpBookingHotel\Mvc\Model\ModelForm;
use WpBookingHotel\Form\Form;
use WpBookingHotel\Mvc\Model\ModelList;
use WpBookingHotel\Registry\Registry;
class ReviewsModel extends ModelList
{
    /**
     * @var string
     */
    public $context = "reviews";
    /**
     * @var string
     */
    public $table_name = "review";


    public function getList()
    {
        $db=Factory::getDBO();
        $query=$this->getListQuery();
        $list =  $db->setQuery($query)->loadObjectList();
        return $list;
    }
}
